Get ongoing interactions
The GET /interactions/ongoing endpoint returns detailed information about any currently ongoing interactions.
In this page
Headers
Header parameters in Requests (Insights Stats API) apply to this endpoint.
Authorization scopes supported:
Scope | Access granted |
|---|---|
| Entire endpoint |
Parameters
Paging parameters in Requests (Insights Stats API) apply to this endpoint.
Requests
Request ongoing interactions
curl -L -X GET "https://***.api.newvoicemedia.com/stats/interactions/ongoing" \
-H "Authorization: bearer <ACCESS_TOKEN>" \
-H "Accept: application/vnd.newvoicemedia.v3+json"Request page 2 of ongoing interactions
curl -L -X GET "https://***.api.newvoicemedia.com/stats/interactions/ongoing?page=2" \
-H "Authorization: bearer <ACCESS_TOKEN>" \
-H "Accept: application/vnd.newvoicemedia.v3+json"Responses
The response to the GET /interactions/ongoing endpoint contains a collection of interaction objects. The interactions are ordered by ascending start time.
Successful response
Success response code and parameters in Responses (Insights Stats API) apply to a successful response.
Example response
{
"meta": {
"page": 1,
"count": 1,
"pageCount": 1,
"totalCount": 1
},
"items": [
{
"status": "Ongoing",
"medium": "Phone",
"mediumManager": "VCC",
"guid": "016f3105-0863-44bf-a036-41b689b49978",
"conversationGuid": "0857130b-ab16-4784-9625-1376f38bbd30",
"start": "2019-12-23T10:32:26.884Z",
"duration": null,
"direction": "Inbound",
"serviceName": "Report Gp 2",
"connectTo": "0123456789",
"connectFrom": "0987654321",
"categorizedAt": null,
"outcome": null,
"interactionPlanMapping": {
"addressName": "Main Support Number",
"mappingName": "Mapping1",
"interactionPlanName": "Customer Support Plan",
"reportingGroup": "Report Gp 2"
},
"channels": [
{
"guid": "016f3105-0863-44bf-a036-41b689b49978",
"offset": 0,
"duration": null,
"endReason": null,
"integrationType": null,
"party": {
"id": null,
"role": "External",
"touchpoint": "0987654321"
},
"events": [
{
"type": "Ringing",
"offset": 0,
"name": null,
"duration": 0,
"properties": null
},
{
"type": "Connected",
"offset": 0,
"name": null,
"duration": null,
"properties": null
},
{
"type": "InteractionPlan",
"offset": 65,
"name": "Customer Support Plan",
"duration": null,
"properties": {
"reportingGroup": "Report Gp 2"
}
},
{
"type": "Applet",
"offset": 109,
"name": "Welcome",
"duration": 0,
"properties": {
"appletType": "Announcement"
}
},
{
"type": "Applet",
"offset": 155,
"name": "Call Record",
"duration": 0,
"properties": {
"appletType": "CallRecording"
}
},
{
"type": "Applet",
"offset": 2834,
"name": "MainMenu1",
"duration": 0,
"properties": {
"appletType": "Menu"
}
},
{
"type": "Applet",
"offset": 4990,
"name": "SkillTag1",
"duration": 0,
"properties": {
"appletType": "SkillTagger"
}
},
{
"type": "Applet",
"offset": 5456,
"name": "ACD1",
"duration": 0,
"properties": {
"appletType": "ACD"
}
},
{
"type": "Queue",
"offset": 5600,
"name": "ACD1",
"duration": 5761,
"properties": {
"interactionPlan": "0123456789",
"interactionPlanName": "Customer Support Plan",
"presentedSkills": [
"Billing"
],
"result": "Delivered"
}
},
{
"type": "CallRecording",
"offset": 11372,
"name": null,
"duration": null,
"properties": null
}
]
},
{
"guid": "768f9de0-20bc-4788-96af-a1c0001b14b5",
"offset": 7335,
"duration": null,
"endReason": null,
"integrationType": null,
"party": {
"id": "01",
"role": "Agent",
"touchpoint": "01122334455"
},
"events": [
{
"type": "Ringing",
"offset": 7335,
"name": null,
"duration": 4026,
"properties": null
},
{
"type": "Connected",
"offset": 11361,
"name": null,
"duration": null,
"properties": null
},
{
"type": "CallRecording",
"offset": 11372,
"name": null,
"duration": null,
"properties": null
},
{
"type": "Disposition",
"offset": 11374,
"name": null,
"duration": 0,
"properties": {
"disposition": "CallBack"
}
},
{
"type": "CallRating",
"offset": 11375,
"name": null,
"duration": 0,
"properties": {
"classification": "3"
}
}
]
}
]
}
],
"upTo": "2019-12-23T10:33:29.493Z",
"latestUpdate": "2019-12-23T10:33:12.073Z"
}Each interaction item in the collection contains the following parameters: